/*
 * Line.java       Jan 13, 2007
 *
 * Copyright (c) 2007, Brian Mulanda, all rights reserved.
 */

package edu.ksu.cis.ndpc;

/**
 * Represents a line reference associated with the statement number of a single
 * unboxed statement in a natural deduction proof.
 * 
 * @author Brian Mulanda (<a
 *         href="mailto:bmulanda@ksu.edu">bmulanda@ksu.edu</a>)
 * 
 */

public class Line implements LineReference {
	private int no;

	public Line(int no) {
		this.no = no;
	}

	public int getBegin() {
		return no;
	}

	public int getEnd() {
		return no;
	}

	public String toString() {
		return Integer.toString(no);
	}
}