/*
 * LineReference.java       Jan 13, 2007
 *
 * Copyright (c) 2007, Brian Mulanda, all rights reserved.
 */

package edu.ksu.cis.ndpc;

/**
 * Represents a line reference in a natural deduction proof. A line reference
 * can be associated either with a single line or all the set of lines enclosed
 * in a box in the proof.
 * 
 * @author Brian Mulanda (<a
 *         href="mailto:bmulanda@ksu.edu">bmulanda@ksu.edu</a>)
 * 
 */

public interface LineReference {
	public int getBegin();

	public int getEnd();

	public String toString();
}