package edu.ksu.cis.ndpc;

/**
 * @author Brian Mulanda
 * 
 */

public class ProofTreeNode {
	private Object node;
	private int nodeId;
	private boolean allowsChildren;

	public ProofTreeNode(Object node) {
		this(node, 0);
	}

	public ProofTreeNode(Object node, int nodeId) {
		this.node = node;
		this.nodeId = nodeId;
		this.allowsChildren = (node instanceof ProofBox);
	}

	public void setNodeId(int nodeId) {
		this.nodeId = nodeId;
	}

	public int getNodeId() {
		return nodeId;
	}

	public Object getNode() {
		return node;
	}

	public boolean allowsChildren() {
		return allowsChildren;
	}

	public String toString() {
		return "*" + this.nodeId + ": " + node.toString();
	}
}