/*
 * Created on Jun 18, 2006
 *
 */
package edu.ksu.cis.ndpc;

/**
 * @author Brian Mulanda
 * 
 */
public class Symbol implements Cloneable {

	private String value;
	protected int type;
	private int position;
	private int length;

	public Symbol(String value, int type) {
		this(value, type, 0, value.length());
	}

	public Symbol(String value, int type, int position, int length) {
		this.value = value;
		this.type = type;
		this.position = position;
		this.length = length;
	}

	public String getValue() {
		return value;
	}

	public int getType() {
		return type;
	}

	public String toString() {
		return value;
	}

	public int getPosition() {
		return position;
	}

	public int getLength() {
		return length;
	}

	public void add(Symbol s) {
		if (s != null) {
			value = value + s.value;
			// position += s.position;
			length += s.length;
		}
	}

	public boolean equals(Object obj) {
		boolean equal = false;
		try {
			Symbol symbol = (Symbol) obj;
			equal = (symbol.value.equals(this.value));
		} catch (Exception e) {

		}
		return equal;
	}

	public boolean contains(Symbol symbol) {
		return (value.indexOf(symbol.value) >= 0);
	}

	public Object clone() {
		return new Symbol(value, type, position, length);
	}

	public boolean endsWith(Symbol symbol) {
		return value.endsWith(symbol.getValue());
	}

	public Symbol concat(Symbol symbol) {
		Symbol s = this;
		if (symbol != null) {
			this.value += symbol.value;
			this.length += symbol.length;
		}
		return s;
	}
}