package edu.ksu.cis.ndpc.gui;

final class GUIContent {
	private Col[] columns;

	public GUIContent(int cols) {
		this(cols, 1);
	}

	public GUIContent(int cols, int rows) {
		if (cols <= 0)
			cols = 1;
		columns = new Col[cols];
		for (int i = 0; i < cols; ++i) {
			columns[i] = new Col();
		}
		if (rows <= 0)
			rows = 1;
		appendRows(rows);
	}

	public int getColumnCount() {
		return columns.length;
	}

	public Col getCol(int index) {
		if (index >= 0 && index < columns.length) {
			return columns[index];
		} else {
			return null;
		}
	}

	public void appendRows(int rownum) {
		for (int c = 0; c < columns.length; ++c) {
			columns[c].appendRows(rownum);
		}
	}

	public void appendRow() {
		for (int c = 0; c < columns.length; ++c) {
			columns[c].appendRow();
		}
	}

	public void insertRow(int position) {
		for (int i = 0; i < columns.length; ++i) {
			columns[i].insertRow(position);
		}
	}

	public void removeRow(int row) {
		for (int i = 0; i < columns.length; ++i) {
			columns[i].removeRow(row);
		}
	}

	public void removeAllRows() {
		for (int i = 0; i < columns.length; ++i) {
			columns[i].removeAllRows();
		}
	}

	public int getRowCount() {
		return getCol(0).rowCount();
	}

	public int getRowLength(int row) {
		return getRowLength(row, false);
	}

	public int getRowLength(int row, boolean trim) {
		int length = 0;

		for (int i = 1; i < columns.length; ++i) {
			length += getCol(i).getRow(row).length(trim);
		}
		return length;
	}

}
